" Vim syntax file
" Language:	Man pages
" Remarks:	works for man pages on HP-UX
" Maintainer:	Philippe Cade <phc@gmx.net>
" Last update:	1999 Feb 03 14:49:05
" $Id: manpages.vim,v 1.3 1999/02/03 13:50:27 phil Exp $
" Slightly modified by me (GZ)

" Remove any old syntax stuff hanging around
syntax clear

syntax region  manFunction 	start="\i\+(" end=")"
syntax match   manSectionTitles "^\s\=[A-Z][[:alnum:][:space:]-]\+$"
syntax match   manSubTitles	"^    [A-Za-z].*$"
" to highlight the #includes
syntax region  manIncluded	contained start=+"+ skip=+\\\\\|\\"+ end=+"+
syntax match   manIncluded	contained "<[^>]*>"
syntax match   manInclude	"^\s*#\s*include\>\s*["<]" contains=manIncluded
" to highlight the errnos
syntax match   manErrno         "\s\[E\I\+\]"
" copyright information
syntax match   manCopyright     "^.*- \d\+ -.*$"

if !exists("did_manpage_syntax_inits")
  let did_manpage_syntax_inits = 1

  " The default methods for highlighting.  Can be overridden later
  highlight link manFunction      Type
  highlight link manSectionTitles Statement
  highlight link manSubTitles     Statement
  highlight link manIncluded      String
  highlight link manInclude       Include
  highlight link manErrno         WarningMsg
  highlight link manCopyright     Comment
endif

let current_syntax = "Man pages"
